Skip to main content

GetPredictionData

GET 

/location/pgnss

Generates up to one week of GNSS predictions. The predictions are used by the nRF91 GNSS modem to enable a faster time-to-first-fix (TTFF) and provide offline navigation when out of range of an LTE cell.

Returns a link for easy download of the predictions file.

Cloud-to-cloud request:

curl -G "$API_HOST/v1/organizations/$ORG_SLUG/projects/$PROJECT_SLUG/location/pgnss" -H "Authorization: Bearer $NRFCLOUD_OAT"

Basic Request:

curl -G $API_HOST/v1/location/pgnss -H "Authorization: Bearer $JWT" -H "Content-Type: application/json"

Custom Request:

curl -G $API_HOST/v1/location/pgnss -H "Authorization: Bearer $JWT" -H "Content-Type: application/json" -d "predictionCount=42" -d "predictionIntervalMinutes=240" -d "startGpsDay=15131" -d "startGpsTimeOfDaySeconds=0"

Request​

Responses​

Link to the P-GPS binary payload file for download.